# $Revision: 1.82 $, $Date: 2010/09/06 19:10:09 $
# TODO
# -- The following OPTIONAL packages could NOT be located on your system.
# -- Consider installing them to enable more features from this software.
# + OpenCTL, 0.9.2 or higher: OpenCTL is needed for some color spaces (High Dynamic Range Color Spaces, YCbCr and LMS) <http://www.openctl.org>
# + Spnav: Spnav is the library which is required by the space navigator device plugin <http://spacenav.sourceforge.net/>
# + pstoedit: The Karbon eps import filter will not be built. <http://www.pstoedit.net/>
#
# Conditional build:
%bcond_without	pdf		# build without PDF support

%define		_state		stable
%define		orgname		koffice
%define		kdever		4.4.5
%define		qtver		4.6.3

Summary:	KOffice - powerful office suite for KDE
Summary(pl.UTF-8):	KOffice - potężny pakiet biurowy dla KDE
Summary(pt_BR.UTF-8):	Suíte de aplicativos office para o KDE
Summary(ru.UTF-8):	Набор оффисных программ для KDE
Summary(uk.UTF-8):	Набір офісних програм для KDE
Summary(zh_CN.UTF-8):	KDE 的办公应用软件集。
Name:		kde4-koffice
Version:	2.2.2
Release:	2
License:	GPL/LGPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{orgname}-%{version}/%{orgname}-%{version}.tar.bz2
# Source0-md5:	f987ef488888311db04f313ef2c1ed74
URL:		http://www.koffice.org/
BuildRequires:	GraphicsMagick-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	eigen >= 1:2.0.12-3
BuildRequires:	exiv2-devel
BuildRequires:	fftw3-devel
BuildRequires:	giflib-devel
BuildRequires:	glew-devel
BuildRequires:	gmm-devel
BuildRequires:	gsl-devel
BuildRequires:	kde4-kdegraphics-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdepimlibs-devel >= %{kdever}
BuildRequires:	lcms-devel >= 1.18
BuildRequires:	libexif-devel >= 0.6.12
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libpqxx-devel
BuildRequires:	libtiff-devel
BuildRequires:	libwpd-devel
BuildRequires:	libwpg-devel
BuildRequires:	libxml2-devel >= 0:2.4.8
BuildRequires:	libxslt-devel >= 1.0.7
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
%if %{with pdf}
BuildRequires:	poppler-Qt-devel >= 0.6
%endif
BuildRequires:	python-devel >= 2.2
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qimageblitz-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	soprano-devel
BuildRequires:	sqlite3-devel >= 3.6.23
BuildRequires:	wv2-devel >= 0.4.1
BuildRequires:	xbase-devel
BuildRequires:	zlib-devel
Requires:	wv2 >= 0.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KOffice is an integrated office suite for K Desktop Environment.
KOffice contains:
- KWord - word processor
- KSpread - spreadsheet
- KPresenter - presentations
- Kivio - A Visio(R)-style flowcharting application
- KChart - diagram generator
- Karbon - A vector-based drawing application
- Krita - A pixel-based drawing application like The GIMP
- Kugar - A tool for generating business quality reports

%description -l pl.UTF-8
KOffice jest zintegrowanym pakietem biurowym dla środowiska KDE.
Pakiet między innymi zawiera:
- KWord - procesor tekstu
- KSpread - arkusz kalkulacyjny
- KPresenter - tworzenie prezentacji
- Kivio - aplikacja wzorowana na Visio(R)
- KChart - generator wykresów
- Karbon - aplikacja do edycji grafiki wektorowej
- Krita - aplikacja do edycji grafiki bitmapowej

%description -l ru.UTF-8
Оффисные программы для K Desktop Environment 2.0. Содержит: KWord
(текстовый процессор), KSpread (электронная таблица), KPresenter
(презентации) и KChart (генератор диаграмм).

%description -l uk.UTF-8
Офісні програми для K Desktop Environment 2.0. Містить: KWord
(текстовий процесор), KSpread (електронна таблиця), KPresenter
(презентації) та KChart (генератор діаграм).

%package devel
Summary:	KOffice - header files
Summary(es.UTF-8):	Header files for compiling applications that use koffice libraries
Summary(pl.UTF-8):	KOffice - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Arquivos de inclusão necessários à compilação de aplicações que usem as bibliotecas do koffice
Group:		X11/Development/Libraries
Requires:	%{name}-common = %{version}-%{release}

%description devel
This package includes the header files you will need to compile
applications that use koffice libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne przy kompilowaniu
programów używających bibliotek KOffice.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão necessários à compilação de aplicações que usem
as bibliotecas do koffice.

%package common
Summary:	KOffice - common files and libraries
Summary(pl.UTF-8):	KOffice - wspólne pliki i biblioteki
Summary(pt_BR.UTF-8):	Arquivos requeridos por todos os softwares koffice
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{kdever}

%description common
KOffice is an integrated office suite for K Desktop Environment.
KOffice contains:
- KWord - word processor
- KSpread - spreadsheet
- KPresenter - presentations
- Kivio - A Visio(R)-style flowcharting application
- KChart - diagram generator
- Karbon - A vector-based drawing application
- Krita - A pixel-based drawing application

Package contains common files and libraries needs by KOffice
applications.

%description common -l pl.UTF-8
KOffice jest zintegrowanym pakietem biurowym dla środowiska KDE.
Pakiet między innymi zawiera:
- KWord - procesor tekstu
- KSpread - arkusz kalkulacyjny
- KPresenter - tworzenie prezentacji
- Kivio - aplikacja wzorowana na Visio(R)
- KChart - generator wykresów
- Karbon - aplikacja do edycji grafiki wektorowej
- Krita - aplikacja do edycji grafiki bitmapowej

Pakiet zawiera wspólne pliki i biblioteki wymagane przez aplikacje
KOffice.

%description common -l pt_BR.UTF-8
Arquivos requeridos por todos os softwares koffice.

%package karbon
Summary:	KOffice - Karbon
Summary(pl.UTF-8):	KOffice - Karbon
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description karbon
Karbon is a vector graphics application within koffice.

%description karbon -l pl.UTF-8
Karbon to aplikacja koffice służąca do rysowania grafiki wektorowej,

%package kchart
Summary:	KOffice - KChart
Summary(pl.UTF-8):	KOffice - KChart
Summary(pt_BR.UTF-8):	Gerador de diagramas do KOffice
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kchart
KChart is KOffice part for generating diagrams from data, e.g. pie and
bar charts.

%description kchart -l pl.UTF-8
KChart jest aplikacją służącą do generowania wykresów.

%description kchart -l pt_BR.UTF-8
Gerador de diagramas do KOffice.

%package kexi
Summary:        KOffice - Kexi
Summary(pl.UTF-8):      KOffice - Kexi
Group:          X11/Applications
Requires:       %{name}-common = %{version}-%{release}

%description kexi
Kexi is KOffice part for using database system such as MySQL.

%description kexi -l pl.UTF-8
Kexi jest aplikacją służącą do korzystania z systemów baz danych
takich jak MySQL.

%package kformula
Summary:	KOffice - kformula
Summary(pl.UTF-8):	KOffice - kformula
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kformula
KFormula is KOffice part for creating formulas, equations, etc...

%description kformula -l pl.UTF-8
KFormula jest aplikacją służącą do tworzenia wzorów, równań itp.

%package kivio
Summary:	KOffice - kivio
Summary(pl.UTF-8):	KOffice - kivio
Summary(pt_BR.UTF-8):	Editor de fluxogramas do KOffice
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kivio
Kivio on the surface is your everyday flowcharting program. Underneath
this skin, however, lies much more. Kivio will offer basic
flowcharting abilities, but with a twist. Objects are scriptable, and
a backend plugin system will offer the ability to make objects do just
about anything. Feed it a directory of C++ header files, or even Java
files, and let it generate a graphical class map for you. Give it a
network and let it explore and map out the network for you. All this
is possible through the scripting/plugin architecture Kivio will
possess.

%description kivio -l pl.UTF-8
Kivio jest programem typu flowcharting. Pod tym pojęciem jednak kryje
się znacznie więcej. Kivio dostarcza najpotrzebniejsze funkcje, ale
wszystkie obiekty można rozszerzać za pomocą języka skryptowego, a
system wtyczek backendowych oferuje możliwość tworzenia obiektów
dotyczących prawie wszystkiego. Kivio można nakarmić katalogiem plików
nagłówkowych C++ lub plików Javy i pozwolić wygenerować graficzną mapę
klas. Po podaniu sieci przejrzy ją i stworzy jej mapę. Wszystko to
jest możliwe poprzez architekturę skryptów i wtyczek Kivio.

%description kivio -l pt_BR.UTF-8
Editor de fluxogramas do KOffice.

%package kplato
Summary:	KOffice - KPlato
Summary(pl.UTF-8):	KOffice - KPlato
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kplato
KPlato is a project management application.

%package kpresenter
Summary:	KOffice - KPresenter
Summary(pl.UTF-8):	KOffice - KPresenter
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kpresenter
KPresenter is a presentation application of the KOffice, similar to MS
PowerPoint in the windows world. You can use it for doing screen
presentations or transparencies.

%description kpresenter -l pl.UTF-8
KPresenter jest aplikacją KOffice do tworzenia prezentacji, podobną do
MS PowerPoint. Możesz użyć jej do tworzenia wizualnych prezentacji.

%package krita
Summary:	KOffice - Krita
Summary(pl.UTF-8):	KOffice - Krita
Summary(pt_BR.UTF-8):	Ferramenta de desenho vetorial do KOffice
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description krita
Krita is a painting and image editing application for KOffice. It
supports many color spaces like RGB, grayscale, CMYK, Lab, YCBCR and
LMS, in 8 and 16 bits per channel

%description krita -l pl.UTF-8
Krita jest aplikacją do edycji grafiki bitmapowej. Wspiera różne
przestrzenie barw, jak np. RGB, skala szarości, CMYK, Lab, YCBCR oraz
LMS - zarówno w trybie 8 jak i 16 bitowym na kanał.

%package kspread
Summary:	KOffice - KSpread
Summary(pl.UTF-8):	KOffice - KSpread
Summary(pt_BR.UTF-8):	Planilha eletrônica do KOffice
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kspread
KSpread is the spread sheet of the KOffice, similar to MS Excel.

%description kspread -l pl.UTF-8
KSpread jest arkuszem kalkulacyjnym, podobnym do MS Excel.

%description kspread -l pt_BR.UTF-8
Planilha eletrônica do KOffice.

%package kword
Summary:	KOffice - KWord
Summary(pl.UTF-8):	KOffice - KWord
Summary(pt_BR.UTF-8):	Processador de texto do KOffice
Group:		X11/Applications
Requires:	%{name}-common = %{version}-%{release}

%description kword
KWord is a FrameMaker-like wordprocessor application for KOffice. So
it can be used for DTP, but also for "normal" wordprocessing (like
writing letters, reports, etc.).

%description kword -l pl.UTF-8
KWord jest ramkowym procesorem tekstu. Może być użyty do DTP, ale
również do zwykłej edycji tekstu (jak pisanie listów, raportów, itp.).

%description kword -l pt_BR.UTF-8
Processador de texto do KOffice.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	common	-p /sbin/ldconfig
%postun	common	-p /sbin/ldconfig

%post	karbon	-p /sbin/ldconfig
%postun	karbon	-p /sbin/ldconfig

%post	kchart	-p /sbin/ldconfig
%postun	kchart	-p /sbin/ldconfig

%post	kexi	-p /sbin/ldconfig
%postun	kexi	-p /sbin/ldconfig

%post	kformula	-p /sbin/ldconfig
%postun	kformula	-p /sbin/ldconfig

%post	kplato	-p /sbin/ldconfig
%postun	kplato	-p /sbin/ldconfig

%post	kpresenter	-p /sbin/ldconfig
%postun	kpresenter	-p /sbin/ldconfig

%post	krita	-p /sbin/ldconfig
%postun	krita	-p /sbin/ldconfig

%post	kspread	-p /sbin/ldconfig
%postun	kspread	-p /sbin/ldconfig

%post	kword	-p /sbin/ldconfig
%postun	kword	-p /sbin/ldconfig

%files common
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/koconverter
%attr(755,root,root) %{_libdir}/libkdchart.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdchart.so.?
%attr(755,root,root) %{_libdir}/libkochart.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkochart.so.?
#%attr(755,root,root) %{_libdir}/libkoffice_graya_u16.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkoffice_graya_u16.so.?
#%attr(755,root,root) %{_libdir}/libkofficegrayau8colorspace.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkofficegrayau8colorspace.so.?
%attr(755,root,root) %{_libdir}/libkopageapp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkopageapp.so.?
%attr(755,root,root) %{_libdir}/libkotext.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkotext.so.?
%attr(755,root,root) %ghost %{_libdir}/libkoproperty.so.?
%attr(755,root,root) %{_libdir}/libkoproperty.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkoreport.so.?
%attr(755,root,root) %{_libdir}/libkoreport.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkowv2.so.?
%attr(755,root,root) %{_libdir}/libkowv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmsooxml.so.?
%attr(755,root,root) %{_libdir}/libmsooxml.so.*.*.*
%attr(755,root,root) %{_libdir}/libkowmf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkowmf.so.?
%attr(755,root,root) %{_libdir}/libkwmf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkwmf.so.?
%attr(755,root,root) %{_libdir}/libkwordexportfilters.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkwordexportfilters.so.?
#%attr(755,root,root) %ghost %{_libdir}/libkoaction.so.?
#%attr(755,root,root) %{_libdir}/libkoaction.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkobase.so.?
#%attr(755,root,root) %{_libdir}/libkobase.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkocolorwidgets.so.?
#%attr(755,root,root) %{_libdir}/libkocolorwidgets.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkoplugin.so.?
%attr(755,root,root) %{_libdir}/libkoplugin.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkowidgets.so.?
%attr(755,root,root) %{_libdir}/libkowidgets.so.*.*.*
%attr(755,root,root) %{_libdir}/libkarbonui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkarbonui.so.?
%attr(755,root,root) %{_libdir}/libkpresenterprivate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkpresenterprivate.so.?
#%attr(755,root,root) %{_libdir}/kde4/clipartthumbnail.so
#%attr(755,root,root) %{_libdir}/kde4/kodocinfopropspage.so
%attr(755,root,root) %{_libdir}/kde4/kofficescan.so
%attr(755,root,root) %{_libdir}/kde4/kofficethumbnail.so
%attr(755,root,root) %{_libdir}/kde4/libgenerickofilter.so
%attr(755,root,root) %{_libdir}/kde4/libxslt*port*.so
%attr(755,root,root) %{_libdir}/kde4/libkounavailpart.so
#%attr(755,root,root) %{_libdir}/kde4/koffice_graya_u16_plugin.so
%attr(755,root,root) %{_libdir}/kde4/kofficedockers.so
#%attr(755,root,root) %{_libdir}/kde4/kofficegrayau8plugin.so
%attr(755,root,root) %{_libdir}/kde4/kolcmsengine.so
%attr(755,root,root) %{_libdir}/kde4/kprvariables.so
%attr(755,root,root) %{_libdir}/kde4/vectorshape.so
%attr(755,root,root) %{_libdir}/kde4/videoshape.so
%{_datadir}/apps/koffice
#%{_datadir}/kde4/services/clipartthumbnail.desktop
#%{_datadir}/kde4/services/kodocinfopropspage.desktop
%{_datadir}/kde4/services/kofficethumbnail.desktop
#%{_datadir}/kde4/services/koffice_graya_u16_plugin.desktop
%{_datadir}/kde4/services/kofficedockers.desktop
#%{_datadir}/kde4/services/kofficegrayaplugin.desktop
%{_datadir}/kde4/services/kounavail.desktop
%{_datadir}/kde4/services/xslt_*.desktop
%{_datadir}/kde4/services/generic_filter.desktop
%{_datadir}/kde4/services/kolcmsengine.desktop
%{_datadir}/kde4/services/kprvariables.desktop
%{_datadir}/kde4/services/vectorshape.desktop
%{_datadir}/kde4/services/videoshape.desktop
%{_datadir}/mime/packages/msooxml-all.xml
%{_datadir}/kde4/servicetypes/*
%dir %{_datadir}/templates/.source
%{_desktopdir}/kde4/koffice.desktop
%{_iconsdir}/oxygen/*/actions/*.png
%exclude %{_iconsdir}/oxygen/scalable
#%{_iconsdir}/oxygen/*/actions/*.svgz
%{_kdedocdir}/en/koffice
%dir %{_datadir}/color
%dir %{_datadir}/color/icc
%{_datadir}/color/icc/pigment
#
# Files i dunno what to do with
#
%attr(755,root,root) %{_libdir}/kde4/artistictextshape.so
%attr(755,root,root) %{_libdir}/kde4/autocorrect.so
%attr(755,root,root) %{_libdir}/kde4/changecase.so
%attr(755,root,root) %{_libdir}/kde4/defaulttools.so
%attr(755,root,root) %{_libdir}/kde4/divineproportionshape.so
%attr(755,root,root) %{_libdir}/kde4/kopabackgroundtool.so
%attr(755,root,root) %{_libdir}/kde4/krossmodulekplato.so
%attr(755,root,root) %{_libdir}/kde4/krossmodulekspread.so
%attr(755,root,root) %{_libdir}/kde4/krossmodulekword.so
%attr(755,root,root) %{_libdir}/kde4/libkspreadsolver.so
%attr(755,root,root) %{_libdir}/kde4/libFilterkpr2odf.so
%attr(755,root,root) %{_libdir}/kde4/libapplixspreadimport.so
%attr(755,root,root) %{_libdir}/kde4/libcsvexport.so
%attr(755,root,root) %{_libdir}/kde4/libcsvimport.so
%attr(755,root,root) %{_libdir}/kde4/libdbaseimport.so
%attr(755,root,root) %{_libdir}/kde4/libgnumericexport.so
%attr(755,root,root) %{_libdir}/kde4/libgnumericimport.so
%attr(755,root,root) %{_libdir}/kde4/libopencalcexport.so
%attr(755,root,root) %{_libdir}/kde4/libopencalcimport.so
%attr(755,root,root) %{_libdir}/kde4/libqproimport.so
%attr(755,root,root) %{_libdir}/kde4/libwpexport.so
%attr(755,root,root) %{_libdir}/kde4/libwpimport.so
%attr(755,root,root) %{_libdir}/kde4/libwpgimport.so
%attr(755,root,root) %{_libdir}/kde4/musicshape.so
%attr(755,root,root) %{_libdir}/kde4/pathshapes.so
%attr(755,root,root) %{_libdir}/kde4/pictureshape.so
%attr(755,root,root) %{_libdir}/kde4/spellcheck.so
%attr(755,root,root) %{_libdir}/kde4/spreadsheetshape.so
%attr(755,root,root) %{_libdir}/kde4/textshape.so
%attr(755,root,root) %{_libdir}/kde4/textvariables.so
%attr(755,root,root) %ghost %{_libdir}/libkokross.so.?
%attr(755,root,root) %{_libdir}/libkokross.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkoodf.so.?
%attr(755,root,root) %{_libdir}/libkoodf.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkostore.so.?
#%attr(755,root,root) %{_libdir}/libkostore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkomain.so.?
%attr(755,root,root) %{_libdir}/libkomain.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libflake.so.?
%attr(755,root,root) %{_libdir}/libflake.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkoresources.so.?
#%attr(755,root,root) %{_libdir}/libkoresources.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpigmentcms.so.?
%attr(755,root,root) %{_libdir}/libpigmentcms.so.*.*.*
%{_datadir}/kde4/services/Filterkpr2odf.desktop
%{_datadir}/kde4/services/artistictextshape.desktop
%{_datadir}/kde4/services/autocorrect.desktop
%{_datadir}/kde4/services/changecase.desktop
%{_datadir}/kde4/services/defaulttools.desktop
%{_datadir}/kde4/services/divineproportionshape.desktop
%{_datadir}/kde4/services/kopabackgroundtool.desktop
%{_datadir}/kde4/services/krossmodulekplato.desktop
%{_datadir}/kde4/services/krossmodulekspread.desktop
%{_datadir}/kde4/services/krossmodulekword.desktop
%{_datadir}/kde4/services/musicshape.desktop
%{_datadir}/kde4/services/pathshapes.desktop
%{_datadir}/kde4/services/pictureshape.desktop
%{_datadir}/kde4/services/spellcheck.desktop
%{_datadir}/kde4/services/textshape.desktop
%{_datadir}/kde4/services/textvariables.desktop
# these libs actually need to be here, to prevent LOOPS
%attr(755,root,root) %{_libdir}/libkarboncommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkarboncommon.so.?
%attr(755,root,root) %ghost %{_libdir}/libkritaimage.so.?
%attr(755,root,root) %{_libdir}/libkritaimage.so.*.*.*
%attr(755,root,root) %{_libdir}/libkwordprivate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkwordprivate.so.?
%attr(755,root,root) %ghost %{_libdir}/libkritaui.so.?
%attr(755,root,root) %{_libdir}/libkritaui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkspreadcommon.so.?
%attr(755,root,root) %{_libdir}/libkspreadcommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkplatokernel.so.?
%attr(755,root,root) %{_libdir}/libkplatokernel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkplatomodels.so.?
%attr(755,root,root) %{_libdir}/libkplatomodels.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkplatoprivate.so.?
%attr(755,root,root) %{_libdir}/libkplatoprivate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkplatoui.so.?
%attr(755,root,root) %{_libdir}/libkplatoui.so.*.*.*

%files karbon
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/karbon
%attr(755,root,root) %{_libdir}/libkdeinit4_karbon.so
%attr(755,root,root) %{_libdir}/kde4/*karbon*.so
#%attr(755,root,root) %{_libdir}/kde4/*wmf*port.so
%{_datadir}/apps/karbon
%{_datadir}/config/karbonrc
%{_datadir}/kde4/services/karbon*
%{_datadir}/templates/.source/Illustration.karbon
%{_datadir}/templates/Illustration.desktop
%{_desktopdir}/kde4/karbon.desktop
%{_datadir}/kde4/services/ServiceMenus/karbon_konqi.desktop
#%{_iconsdir}/oxygen/*/apps/karbon.png
%{_kdedocdir}/en/karbon

%files kchart
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkchartcommon.so.?
%attr(755,root,root) %{_libdir}/libkchartcommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchartshapelib.so.?
%attr(755,root,root) %{_libdir}/libchartshapelib.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/libkchart*.so
%attr(755,root,root) %{_libdir}/kde4/chartshape.so
%{_datadir}/apps/kchart
%{_datadir}/kde4/services/kchart*.desktop
%{_datadir}/kde4/services/chartshape.desktop
%{_datadir}/kde4/services/ServiceMenus/kchart_konqi.desktop
%{_iconsdir}/hicolor/*/apps/kchart.png
%{_kdedocdir}/en/kchart

%files kexi
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kexi
%attr(755,root,root) %ghost %{_libdir}/libkexicore.so.?
%attr(755,root,root) %{_libdir}/libkexicore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexidatatable.so.?
%attr(755,root,root) %{_libdir}/libkexidatatable.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexidb.so.?
%attr(755,root,root) %{_libdir}/libkexidb.so.*.*.*
%attr(755,root,root) %{_libdir}/libkexiextendedwidgets.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexiformutils.so.?
%attr(755,root,root) %{_libdir}/libkexiformutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexiguiutils.so.?
%attr(755,root,root) %{_libdir}/libkexiguiutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkeximain.so.?
%attr(755,root,root) %{_libdir}/libkeximain.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkeximigrate.so.?
%attr(755,root,root) %{_libdir}/libkeximigrate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexirelationsview.so.?
%attr(755,root,root) %{_libdir}/libkexirelationsview.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexiutils.so.?
%attr(755,root,root) %{_libdir}/libkexiutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkformdesigner.so.?
%attr(755,root,root) %{_libdir}/libkformdesigner.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kexidb_mysqldriver.so
%attr(755,root,root) %{_libdir}/kde4/kexidb_sqlite3driver.so
%attr(755,root,root) %{_libdir}/kde4/kexidb_xbasedriver.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_csv_importexport.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_form.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_migration.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_query.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_report.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_script.so
%attr(755,root,root) %{_libdir}/kde4/kexihandler_table.so
%attr(755,root,root) %{_libdir}/kde4/keximigrate_kspread.so
%attr(755,root,root) %{_libdir}/kde4/keximigrate_mdb.so
%attr(755,root,root) %{_libdir}/kde4/keximigrate_mysql.so
%attr(755,root,root) %{_libdir}/kde4/keximigrate_txt.so
%attr(755,root,root) %{_libdir}/kde4/keximigrate_xbase.so
%attr(755,root,root) %{_libdir}/kde4/kexirelationdesignshape.so
%attr(755,root,root) %{_libdir}/kde4/kformdesigner_containers.so
%attr(755,root,root) %{_libdir}/kde4/kformdesigner_kexidbwidgets.so
%attr(755,root,root) %{_libdir}/kde4/kformdesigner_stdwidgets.so
%attr(755,root,root) %{_libdir}/kde4/krossmodulekexidb.so
%{_datadir}/applications/kde4/kexi.desktop
%{_datadir}/apps/kexi
%{_datadir}/config/kexirc
%dir %{_datadir}/kde4/services/kexi
%{_datadir}/kde4/services/kexi/kexicsv_importexporthandler.desktop
%{_datadir}/kde4/services/kexi/kexiformhandler.desktop
%{_datadir}/kde4/services/kexi/keximigrationhandler.desktop
%{_datadir}/kde4/services/kexi/kexiqueryhandler.desktop
%{_datadir}/kde4/services/kexi/kexireporthandler.desktop
%{_datadir}/kde4/services/kexi/kexiscripthandler.desktop
%{_datadir}/kde4/services/kexi/kexitablehandler.desktop
%{_datadir}/kde4/services/kexidb_mysqldriver.desktop
%{_datadir}/kde4/services/kexidb_sqlite3driver.desktop
%{_datadir}/kde4/services/kexidb_xbasedriver.desktop
%{_datadir}/kde4/services/keximigrate_kspread.desktop
%{_datadir}/kde4/services/keximigrate_mdb.desktop
%{_datadir}/kde4/services/keximigrate_mysql.desktop
%{_datadir}/kde4/services/keximigrate_txt.desktop
%{_datadir}/kde4/services/keximigrate_xbase.desktop
%{_datadir}/kde4/services/kexirelationdesignshape.desktop
%dir %{_datadir}/kde4/services/kformdesigner
%{_datadir}/kde4/services/kformdesigner/kformdesigner_containers.desktop
%{_datadir}/kde4/services/kformdesigner/kformdesigner_kexidbfactory.desktop
%{_datadir}/kde4/services/kformdesigner/kformdesigner_stdwidgets.desktop
%{_kdedocdir}/en/kexi

%files kformula
%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/kformula
#%attr(755,root,root) %{_libdir}/libkdeinit_kformula.so
%attr(755,root,root) %ghost %{_libdir}/libkformulalib.so.?
%attr(755,root,root) %{_libdir}/libkformulalib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkformulaprivate.so.?
%attr(755,root,root) %{_libdir}/libkformulaprivate.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/formulashape.so
%attr(755,root,root) %{_libdir}/kde4/libexcelimport.so
%attr(755,root,root) %{_libdir}/kde4/libkformulapart.so
%attr(755,root,root) %{_libdir}/kde4/libicalendarexport.so
%attr(755,root,root) %{_libdir}/kde4/libxlsximport.so
%attr(755,root,root) %{_libdir}/kde4/paragraphtool.so
%{_datadir}/kde4/services/ServiceMenus/kformula_konqi.desktop
%{_datadir}/kde4/services/formulashape.desktop
%{_datadir}/kde4/services/kformulapart.desktop
%{_datadir}/kde4/services/paragraphtool.desktop
%{_datadir}/apps/formulashape
%{_datadir}/apps/kformula
#%%{_desktopdir}/kde4/kformula.desktop
%{_kdedocdir}/en/kformula

%files kivio
%defattr(644,root,root,755)
%{_datadir}/kde4/services/ServiceMenus/kivio_konqi.desktop
#%{_iconsdir}/*/*/apps/kivio.png
#%{_kdedocdir}/en/kivio

%files kplato
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kplato
%attr(755,root,root) %{_bindir}/kplatowork
%attr(755,root,root) %{_libdir}/libkdeinit4_kplatowork.so
%attr(755,root,root) %ghost %{_libdir}/libkplatoworkapp.so.?
%attr(755,root,root) %{_libdir}/libkplatoworkapp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkplatoworkfactory.so.?
%attr(755,root,root) %{_libdir}/libkplatoworkfactory.so.*.*.*
%attr(755,root,root) %{_libdir}/libkdeinit4_kplato.so
%attr(755,root,root) %{_libdir}/kde4/libkplatopart.so
%attr(755,root,root) %{_libdir}/kde4/libkplatoworkpart.so
%{_desktopdir}/kde4/kplatowork.desktop
%{_datadir}/apps/kplato
%{_datadir}/apps/kplatowork
%{_datadir}/kde4/services/kplatopart.desktop
%{_datadir}/kde4/services/kplato_icalendar_export.desktop
%{_datadir}/kde4/services/kplatoworkpart.desktop
%{_desktopdir}/kde4/kplato.desktop
%{_datadir}/config/kplatorc
%{_datadir}/config.kcfg/kplatosettings.kcfg
%{_datadir}/config/kplatoworkrc
%{_iconsdir}/hicolor/*/apps/kplato.png
#%{_iconsdir}/hicolor/*/apps/kplato.svgz
%{_iconsdir}/hicolor/*/mimetypes/application-x-vnd.kde.kplato.png
#%{_iconsdir}/hicolor/*/mimetypes/application-x-vnd.kde.kplato.svgz
#%{_kdedocdir}/en/kplato

%files kpresenter
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kpresenter
%attr(755,root,root) %{_libdir}/libkdeinit4_kpresenter.so
%attr(755,root,root) %{_libdir}/kde4/kpresenter*.so
%attr(755,root,root) %{_libdir}/kde4/libkpresenter*.so
%attr(755,root,root) %{_libdir}/kde4/libpptximport.so
%attr(755,root,root) %{_libdir}/kde4/libpowerpointimport.so
%attr(755,root,root) %{_libdir}/kde4/kpr_pageeffect_barwipe.so
%attr(755,root,root) %{_libdir}/kde4/kpr_pageeffect_clockwipe.so
%attr(755,root,root) %{_libdir}/kde4/kpr_pageeffect_edgewipe.so
%attr(755,root,root) %{_libdir}/kde4/kpr_pageeffect_iriswipe.so
%attr(755,root,root) %{_libdir}/kde4/kpr_pageeffect_matrixwipe.so
%attr(755,root,root) %{_libdir}/kde4/kpr_pageeffect_slidewipe.so
%attr(755,root,root) %{_libdir}/kde4/kpr_shapeanimation_example.so
%{_datadir}/apps/kpresenter
%{_datadir}/config/kpresenterrc
%{_datadir}/kde4/services/ServiceMenus/kpresenter_konqi.desktop
%{_datadir}/templates/.source/Presentation.kpt
%{_datadir}/templates/Presentation.desktop
%{_datadir}/kde4/services/kpresenter*.desktop
%{_datadir}/kde4/services/kpr_pageeffect_barwipe.desktop
%{_datadir}/kde4/services/kpr_pageeffect_clockwipe.desktop
%{_datadir}/kde4/services/kpr_pageeffect_edgewipe.desktop
%{_datadir}/kde4/services/kpr_pageeffect_iriswipe.desktop
%{_datadir}/kde4/services/kpr_pageeffect_matrixwipe.desktop
%{_datadir}/kde4/services/kpr_pageeffect_slidewipe.desktop
%{_datadir}/kde4/services/kpr_shapeanimation_example.desktop
%{_desktopdir}/kde4/kpresenter.desktop
%{_iconsdir}/hicolor/*/apps/kpresenter.png
%{_kdedocdir}/en/kpresenter

%files krita
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krita
%attr(755,root,root) %{_libdir}/libkdeinit4_krita.so
#%attr(755,root,root) %ghost %{_libdir}/libKritaRulerAssistantCommon.so.?
#%attr(755,root,root) %{_libdir}/libKritaRulerAssistantCommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkritalibbrush.so.?
%attr(755,root,root) %{_libdir}/libkritalibbrush.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkrita_xyz_u16.so.?
#%attr(755,root,root) %{_libdir}/libkrita_xyz_u16.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkritagrayscale.so.?
#%attr(755,root,root) %{_libdir}/libkritagrayscale.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkritalibpaintop.so.?
%attr(755,root,root) %{_libdir}/libkritalibpaintop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkrossmodulekrita.so.?
%attr(755,root,root) %{_libdir}/libkrossmodulekrita.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkritabasicdynamiccoloringprogram.so.?
#%attr(755,root,root) %{_libdir}/libkritabasicdynamiccoloringprogram.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkritabasicdynamicshapeprogram.so.?
#%attr(755,root,root) %{_libdir}/libkritabasicdynamicshapeprogram.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libkritadynamicbrush.so.?
#%attr(755,root,root) %{_libdir}/libkritadynamicbrush.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/krita*.so
%attr(755,root,root) %{_libdir}/kde4/libkritabmpexport.so
#%attr(755,root,root) %{_libdir}/kde4/libkritagmagickexport.so
#%attr(755,root,root) %{_libdir}/kde4/libkritagmagickimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritajpegexport.so
%attr(755,root,root) %{_libdir}/kde4/libkritajpegimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritaoraexport.so
%attr(755,root,root) %{_libdir}/kde4/libkritaoraimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritapart.so
%attr(755,root,root) %{_libdir}/kde4/libkritapngexport.so
%attr(755,root,root) %{_libdir}/kde4/libkritapngimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritatiffexport.so
%attr(755,root,root) %{_libdir}/kde4/libkritatiffimport.so
%attr(755,root,root) %{_libdir}/kde4/libkrita_raw_import.so
%attr(755,root,root) %{_libdir}/kde4/libkritabmpimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritagifimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritappmexport.so
%attr(755,root,root) %{_libdir}/kde4/libkritappmimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritapsdimport.so
%attr(755,root,root) %{_libdir}/kde4/libkritaxcfimport.so
%if %{with pdf}
%attr(755,root,root) %{_libdir}/kde4/libkritapdfimport.so
%{_desktopdir}/kde4/krita_pdf.desktop
%endif
%{_desktopdir}/kde4/krita_raw.desktop
%{_datadir}/kde4/services/ServiceMenus/krita_konqi.desktop
%{_datadir}/apps/krita
%{_datadir}/apps/kritaplugins
%{_datadir}/applications/kde4/krita_gif.desktop
%{_datadir}/applications/kde4/krita_ppm.desktop
%{_datadir}/applications/kde4/krita_xcf.desktop
%{_desktopdir}/kde4/krita.desktop
%{_desktopdir}/kde4/krita_bmp.desktop
%{_desktopdir}/kde4/krita_jpeg.desktop
#%{_desktopdir}/kde4/krita_magick.desktop
%{_desktopdir}/kde4/krita_ora.desktop
%{_desktopdir}/kde4/krita_png.desktop
%{_desktopdir}/kde4/krita_tiff.desktop
%{_datadir}/config/kritarc
%{_datadir}/color/icc/krita
%{_datadir}/kde4/services/krita*.desktop
%{_datadir}/templates/Illustration.desktop
%{_datadir}/mime/packages/krita_ora.xml
%{_iconsdir}/hicolor/*/apps/krita.png
#%{_kdedocdir}/en/krita

%files kspread
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kspread
%attr(755,root,root) %{_libdir}/libkdeinit4_kspread.so
%attr(755,root,root) %{_libdir}/kde4/kspread_plugin_tool_calendar.so
%attr(755,root,root) %{_libdir}/kde4/kspreadbitopsmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadconversionmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreaddatabasemodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreaddatetimemodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadengineeringmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadfinancialmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadinformationmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadlogicmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadmathmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadreferencemodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadstatisticalmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadtextmodule.so
%attr(755,root,root) %{_libdir}/kde4/kspreadtrigonometrymodule.so
%attr(755,root,root) %{_libdir}/kde4/libkspreadhtmlexport.so
%attr(755,root,root) %{_libdir}/kde4/libkspreadhtmlimport.so
%attr(755,root,root) %{_libdir}/kde4/libkspreadlatexexport.so
%attr(755,root,root) %{_libdir}/kde4/libkspreadpart.so
%attr(755,root,root) %{_libdir}/kde4/spreadsheetshape.so
%{_datadir}/apps/kspread
%{_desktopdir}/kde4/kspread.desktop
%{_datadir}/kde4/services/ServiceMenus/kspread_konqi.desktop
%{_datadir}/templates/.source/SpreadSheet.kst
%{_datadir}/templates/SpreadSheet.desktop
%{_datadir}/kde4/services/kspread*.desktop
%{_datadir}/kde4/services/spreadsheetshape.desktop
%{_datadir}/config/kspreadrc
%{_datadir}/config.kcfg/kspread.kcfg
%{_iconsdir}/hicolor/*/apps/kspread.png
%{_kdedocdir}/en/kspread

%files kword
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kthesaurus
%attr(755,root,root) %{_bindir}/kword
%attr(755,root,root) %{_libdir}/libkdeinit4_kword.so
%attr(755,root,root) %{_libdir}/libkword*export*.so
%attr(755,root,root) %ghost %{_libdir}/libkwordexportfilters.so.?
%attr(755,root,root) %{_libdir}/libkdeinit4_kthesaurus.so
%attr(755,root,root) %{_libdir}/kde4/libabiword*port.so
%attr(755,root,root) %{_libdir}/kde4/libdocximport.so
%attr(755,root,root) %{_libdir}/kde4/libhancomwordimport.so
%attr(755,root,root) %{_libdir}/kde4/libapplixwordimport.so
%attr(755,root,root) %{_libdir}/kde4/libascii*port.so
%attr(755,root,root) %{_libdir}/kde4/libdocbookexport.so
%attr(755,root,root) %{_libdir}/kde4/libhtml*port.so
%attr(755,root,root) %{_libdir}/kde4/libpalmdoc*port.so
%attr(755,root,root) %{_libdir}/kde4/libamipro*port.so
%attr(755,root,root) %{_libdir}/kde4/libwm*port.so
%attr(755,root,root) %{_libdir}/kde4/librtf*port.so
%attr(755,root,root) %{_libdir}/kde4/thesaurustool.so
#%attr(755,root,root) %{_libdir}/kde4/libmswrite*port.so
%attr(755,root,root) %{_libdir}/kde4/libmswordodf_import.so
%attr(755,root,root) %{_libdir}/kde4/libkword*.so
%attr(755,root,root) %{_libdir}/kde4/liboowriter*port.so
%{_datadir}/apps/kword
%dir %{_datadir}/apps/xsltfilter
%dir %{_datadir}/apps/xsltfilter/export
%dir %{_datadir}/apps/xsltfilter/export/kword
%dir %{_datadir}/apps/xsltfilter/export/kword/xslfo
%{_datadir}/apps/xsltfilter/export/kword/xslfo/*.xsl
%{_datadir}/config/kwordrc
%{_datadir}/kde4/services/ServiceMenus/kword_konqi.desktop
%{_datadir}/kde4/services/kword*.desktop
%{_datadir}/kde4/services/thesaurustool.desktop
# this is the mailmerge service info for qtsqldb and classic
%{_datadir}/templates/.source/TextDocument.kwt
%{_datadir}/templates/TextDocument.desktop
%{_desktopdir}/kde4/KThesaurus.desktop
%{_desktopdir}/kde4/kword.desktop
%{_iconsdir}/hicolor/*/apps/kword.png
#%{_kdedocdir}/en/kword
%{_kdedocdir}/en/thesaurus

%files devel
%defattr(644,root,root,755)
%exclude %{_libdir}/libkdeinit4_*.so
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_includedir}/changetracker
%{_includedir}/kexi
%{_includedir}/styles
%{_datadir}/apps/cmake/modules/FindKOfficeLibs.cmake

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-koffice.spec,v $
Revision 1.82  2010/09/06 19:10:09  arekm
- release 2

Revision 1.81  2010/09/02 18:07:31  shadzik
- updated deps

Revision 1.80  2010/08/29 07:27:13  lisu
- updated to 2.2.2

Revision 1.79  2010/08/12 14:27:31  lisu
- comment out dissapeared kformula.desktop file

Revision 1.78  2010/08/12 13:58:32  lisu
- updated to 2.2.1

Revision 1.77  2010/08/12 13:00:19  lisu
- rel 5

Revision 1.76  2010/07/29 08:18:11  megabajt
- release 4

Revision 1.75  2010/06/03 02:40:33  sparky
- BR: fftw3-devel, giflib-devel, libpqxx-devel, soprano-devel

Revision 1.74  2010/05/29 20:35:11  shadzik
- rel 3

Revision 1.73  2010/05/26 19:20:17  shadzik
- BR: sqlite3-devel >= 3.6.23

Revision 1.72  2010/05/26 19:15:32  shadzik
- BR xbase-devel
- rel 2

Revision 1.71  2010/05/26 18:39:10  shadzik
- work, rel 1

Revision 1.70  2010/05/26 13:25:26  shadzik
- don't depend on karbon when installoing kword

Revision 1.69  2010/05/26 12:54:29  shadzik
- prevent loops when installing kexi

Revision 1.68  2010/05/26 12:45:31  shadzik
- include whole dir

Revision 1.67  2010/05/26 12:38:51  shadzik
- more files i dunno what to do with :)

Revision 1.66  2010/05/26 12:25:59  shadzik
- krita files
- %post and %postun for kexi
- kexi devel files in main -devel

Revision 1.65  2010/05/26 12:20:51  shadzik
- kexi is back in business

Revision 1.64  2010/05/26 12:03:39  shadzik
- commented out files that doesn't exist
- down to rel 0.1 - lots of work to do

Revision 1.63  2010/05/26 11:37:52  shadzik
- 2.2.0
- remove path0
- NFY

Revision 1.62  2010/04/04 01:38:56  shadzik
- 2.1.2

Revision 1.61  2010/03/02 20:02:46  shadzik
- rel 5

Revision 1.60  2010/02/20 15:57:57  shadzik
- change eigen BR

Revision 1.59  2010/02/19 15:10:37  shadzik
- update eigen BR

Revision 1.58  2010/02/05 12:37:56  arekm
- release 4

Revision 1.57  2010/02/03 10:51:09  glen
- bcond header

Revision 1.56  2010/02/03 10:06:19  shadzik
- unify irgname macro
- add qt4-qmake BR
- explicitely version more BRs

Revision 1.55  2010/01/30 08:28:48  arekm
- rel 3; libpng fix

Revision 1.54  2010/01/15 01:38:28  sparky
- BR: Qt3Support-devel, QtScript-devel, QtSvg-devel, boost-devel, qt4-build,
  rpm-pythonprov

Revision 1.53  2010/01/14 20:51:19  arekm
- rel 2; require poppler qt4

Revision 1.52  2010/01/14 19:47:10  arekm
- up to 2.1.1

Revision 1.51  2009/12/08 08:09:06  paszczus
- rebuild with exiv2 0.18.2
- adaptarized
- rel 3

Revision 1.50  2009/12/01 00:49:05  shadzik
- updated wv2 BR
- rel 2

Revision 1.49  2009/11/29 11:02:53  shadzik
- 2.1.0
- TODO: fix some deps detection - GraphicsMagic, wv2 etc.

Revision 1.48  2009/08/30 00:46:59  shadzik
- exclude scalable dir
- rel 3

Revision 1.47  2009/08/12 19:01:27  shadzik
- rel 2

Revision 1.46  2009/08/12 18:55:36  shadzik
- 2.0.2
- reverse pdf bcond

Revision 1.45  2009/08/03 15:20:28  arekm
- values are case sensitive it seems

Revision 1.44  2009/07/14 00:14:08  shadzik
- don't package .svgz icons
- rel 3

Revision 1.43  2009/07/12 03:25:13  arekm
- release 2

Revision 1.42  2009/07/04 08:32:57  arekm
- up to 2.0.1

Revision 1.41  2009/06/08 21:42:56  shadzik
- BR: kde4-kdegraphics-devel for krita-raw support
- rel 4

Revision 1.40  2009/06/07 16:29:04  shadzik
- rel 3

Revision 1.39  2009/06/07 16:28:51  shadzik
- more BRs

Revision 1.38  2009/06/07 15:21:18  shadzik
- %files
- rel 2

Revision 1.37  2009/06/07 15:06:25  shadzik
- BR: wv2-devel

Revision 1.36  2009/06/03 21:39:12  shadzik
- update kde br

Revision 1.35  2009/06/03 21:38:36  shadzik
- 2.0.0

Revision 1.34  2009/04/03 14:17:46  shadzik
- 1.9.99.0 (2.0 RC1)

Revision 1.33  2009/02/27 17:33:08  shadzik
- beta 7

Revision 1.32  2009/02/20 12:15:47  shadzik
- release 4

Revision 1.31  2009/02/20 11:54:10  shadzik
- conditional release/debug build (thx glen)

Revision 1.30  2009/02/20 10:58:51  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.29  2009/02/03 07:05:45  qboosh
- pl for -kformula
- kross cleanup

Revision 1.28  2009/01/29 11:47:48  shadzik
- typo in log

Revision 1.27  2009/01/29 11:18:41  shadzik
- BR: gmm-devel

Revision 1.26  2009/01/29 09:05:32  shadzik
- %files
- rel 2

Revision 1.25  2009/01/29 03:01:54  shadzik
- BR: glew-devel

Revision 1.24  2009/01/29 02:52:56  shadzik
- BR: gsl-devel
- adds libkspreadsolver to kspread

Revision 1.23  2009/01/29 02:41:46  shadzik
- prevent loops in requirements

Revision 1.22  2009/01/29 01:44:15  shadzik
- libkdeinit4* lib for krita and kspread
- don't require kdebase from kde3

Revision 1.21  2009/01/29 01:39:51  shadzik
- removed files TODO
- rel 1

Revision 1.20  2009/01/29 01:38:50  shadzik
- almost all %files

Revision 1.19  2009/01/28 23:51:41  shadzik
- del patch0

Revision 1.18  2009/01/28 23:49:07  shadzik
- beta6 (1.9.98.6)

Revision 1.17  2009/01/28 21:14:40  glen
- remove corrupted description kformula -l pl.UTF-8

Revision 1.16  2009/01/28 21:13:39  glen
- revert charset corruption (as much as i can)

Revision 1.15  2009/01/28 20:04:36  shadzik
- BR: GraphicsMagick-devel and eigen-devel >= 2.0

Revision 1.14  2009/01/28 19:29:34  shadzik
- more TODO

Revision 1.13  2009/01/28 19:26:58  shadzik
- krita and kspread

Revision 1.12  2009/01/28 19:10:08  shadzik
- kpresenter
- kformula back (even if just a couple of files)
- more %files spread around the subpackages

Revision 1.11  2009/01/28 18:06:27  shadzik
- kplato

Revision 1.10  2009/01/28 17:57:00  shadzik
- docdirs

Revision 1.9  2009/01/28 17:49:23  shadzik
- kword

Revision 1.8  2009/01/28 17:34:50  shadzik
- kformula and kugar are not part of koffice 2.0 too

Revision 1.7  2009/01/28 17:29:35  shadzik
- kexi not part of koffice 2.0

Revision 1.6  2009/01/28 15:52:36  shadzik
- kchart seems ready too

Revision 1.5  2009/01/28 15:47:27  shadzik
- karbon

Revision 1.4  2009/01/28 15:41:06  shadzik
- common and devel seem fine

Revision 1.3  2009/01/28 15:07:00  shadzik
- further changes
- still NFY - needs %files

Revision 1.2  2009/01/28 00:27:23  shadzik
- some fixes
- adjusted some BRs (some might still be unnecessary and some are missing- see TODO)
- NFY

Revision 1.1  2009/01/27 22:18:36  shadzik
- init
- almost raw from koffice.spec
- needs loooots of fixes begining from %build ending on %files
